Hi
In continuation of my previous post, Place blocks by excel coordinates - Civil3D - Dynamo
I´d like to figure out how I can, by Dynamo, rotate the objects parallel to an alignment. It´s regarding placing markerboards in correct rotation.
Hi
Will somebody please check my flow diagram. It doesnt place the objects in the civil 3d anymore. The only warning I get is on the “BlockReference.ByPoint” as following:
Objects by excel coord - Align objects to alignment_1 - Kopi.dyn (45.9 KB)
Markerboard.dwg (692.4 KB)
Markerboard.xlsx (15.4 KB)
Alignment for Markerboards.dwg (1.1 MB)
Objects by excel coord - Align objects to alignment_1 - Edited.dyn (45.7 KB)
Hi again
Will you please guide me
Which version of Civil 3D are you in?
Can you clarify which dwg you’re using for others to reproduce?
Hi Jacob
Iits 2025 and for production using the file “Markerboard.dwg”. I have uploaded a new dyn file ending with “Edited” which runs fine but doesnt show the objects in Civil 3D.
Your edited graph doesn’t have a block input into the BlockReference.ByPoint.
After you fix that the error message will generate again. That message tells you exactly what the issue is. Quoting it here:
BlockReference.ByPoint expects argument type(s) (Autodesk.AutoCAD.DynamoNodes.Block, Autodesk.DesignScript.Geometry.Point, double, double, Autodesk.DesignScript.Geometry.Vector, string, Autodesk.AutoCAD.DynamoNodes.Block), but was called with (Autodesk.AutoCAD.DynamoNodes.Block, Autodesk.DesignScript.Geometry.Point, double, Autodesk.DesignScript.Geometry.Vector, null, string, Autodesk.AutoCAD.DynamoNodes.Block). href=NonOverloadMethodResolutionError.html
This message is telling you that ‘the node expects (things) but got (different things)’. So you need to break down what it got vs what it exepected and find the difference. This is easiest withs ome more copy/paste, giving you something along the lines of this:
BlockReference.ByPoint expects argument type(s)
(Autodesk.AutoCAD.DynamoNodes.Block, Autodesk.DesignScript.Geometry.Point, double, double, Autodesk.DesignScript.Geometry.Vector, string, Autodesk.AutoCAD.DynamoNodes.Block),
but was called with
(Autodesk.AutoCAD.DynamoNodes.Block, Autodesk.DesignScript.Geometry.Point[], double[], Autodesk.DesignScript.Geometry.Vector, null, string, Autodesk.AutoCAD.DynamoNodes.Block). href=NonOverloadMethodResolutionError.html
Breaking that down further to get objects paired by input type, we get:
Autodesk.AutoCAD.DynamoNodes.Block, Autodesk.AutoCAD.DynamoNodes.Block
Autodesk.DesignScript.Geometry.Point, Autodesk.DesignScript.Geometry.Point[]
double, double[]
double, Autodesk.DesignScript.Geometry.Vector
Autodesk.DesignScript.Geometry.Vector, null
string, string
Autodesk.AutoCAD.DynamoNodes.Block, Autodesk.AutoCAD.DynamoNodes.Block
By the looks of it your vector is going into an input which expects a double (scale) when you want it into the input which expects a vector (normal).
Hi Jacob
I´m not used to that Dynamo response language, so don´t know exactly where to edit the diagram. But I can see that The flow setup for “Rotation” makes trouble since it inserted the blocks in Civil 3D before I added that to the “Block.Ref.Bypoint”. Can you practically show where I should make changes?
Upload a larger image of your graph showing what you ahve now, using the export canvas as image function (zoom in, hit the button in the top right).
Basically your scale input should be in the normal input for the node which is causing the error…
How many did you expect? You have a lacing issue somewhere along the line, but I am not sure where.
141 according to the excel sheet- Its funny that it worked before I added the rotation input.
Rotation is set to @L2, which means you’ve altered the way the lacing works on that node. Need to see the data and list structure for all input to the node.
Markerboard.xlsx (15.4 KB)
Here it is
I tried with new ways for the rotation part, but still doesnt show the blocks.
Objects by excel coord - Align objects to alignment_new solution.dyn (48.4 KB)
Could you zoom in to the nodes before you use the function in Dynamo to export out the canvas? It will be the only way to read to name of the nodes.
hello @FKNZ
Try this. Blocks showed up, but I have no clue how to rotate all blocks into alignment. Sorry.
Objects by excel coord - Align objects to alignment_new solution.dyn (43.7 KB)
Try this node to get bearing at point
Thanks @hosneyalaa for the screenshot

You can create the point based in station along alignment but where block reference where inserted but set offset to ”0”